# contains functions for handling raw files

def narrow_list_images(input_dir):
    """
    returns set of raw extensions in a ';' delimited string
    http://en.wikipedia.org/wiki/Raw_image_format
    """
    
    raw_ext = ''
    raw_ext += '*.3fr;'                   # (Hasselblad)
    raw_ext += '*.raf;'                   # (Fuji)
    raw_ext += '*.crw;*.cr2;'             # (Canon)
    raw_ext += '*.tif;*.k25;*.kdc;'       # (Kodak)
    raw_ext += '*.dcs;*.dcr;*.drf;'       # (Kodak)
    raw_ext += '*.mrw;'                   # (Minolta)
    raw_ext += '*.nef;*.nrw;'             # (Nikon)
    raw_ext += '*.orf;'                   # (Olympus)
    raw_ext += '*.dng;'                   # (Adobe)
    raw_ext += '*.ptx;*.pef;'             # (Pentax)
    raw_ext += '*.arw;*.srf;*.sr2;'       # (Sony)
    raw_ext += '*.x3f;'                   # (Sigma)
    raw_ext += '*.erf;'                   # (Epson)
    raw_ext += '*.mef;'                   # (Mamiya)
    raw_ext += '*.mos;'                   # (Leaf)
    raw_ext += '*.raw;*.rw2;'             # (Panasonic)
    raw_ext += '*.cap;*.tif;*.iiq;*.eip;' # (Phase_One)
    raw_ext += '*.r3d;'                   # (Red)
    raw_ext += '*.fff;'                   # (Imacon)
    raw_ext += '*.pxn;'                   # (Logitech)
    raw_ext += '*.bay;'                   # (Casio)
    raw_ext += '*.rwz;'                   # (Rawzor)
    
    return raw_ext
